package de.ozgcloud.nachrichten.postfach.osi;

public class MessageJsonReplyTestFactory {

	private static final String REPLY_JSON_TMPL = """
						[{
			  "messageId": "%s",
			  "nameIdentifier": "%s",
			  "body": "%s",
			  "isHtml": false,
			  "replyAction": %d,
			  "subject": "%s",
			  "sequenceNumber": "%s",
			  "eidasLevel": 1,
			  "isObligatory": true,
			  "attachments": [{
			  	"fileName": "%s",
			  	"content": "%s"
			  }]
			}]""";

	public static String buildReplyJson() {
		return buildReplyJson(MessageTestFactory.create(), MessageAttachmentTestFactory.create());
	}

	public static String buildReplyJson(Message msg, MessageAttachment attachement) {
		return String.format(REPLY_JSON_TMPL,
				msg.getMessageId(),
				msg.getPostfachId(),
				msg.getMailBody(),
				msg.getReplyOption().toValue(),
				msg.getSubject(),
				msg.getVorgangId(),
				attachement.getFileName(),
				attachement.getContent());
	}
}
